# Poco::Data

# template < typename T >

# class LOBOutputStream

Library: Data
Package: DataCore
Header: Poco/Data/LOBStream.h

## Description

An output stream for writing to a LOB.

## Inheritance

Direct Base Classes: LOBIOS < T >, std::basic_ostream < T, std::char_traits < T >>

All Base Classes: LOBIOS < T >, std::basic_ostream < T, std::char_traits < T >>

## Constructors

### LOBOutputStream

LOBOutputStream(
LOB < T > & lob
);

Creates the LOBOutputStream with the given LOB.

## Destructor

### ~LOBOutputStream

~LOBOutputStream();

Destroys the LOBOutputStream.